fbpx
SOS WP Logo

Chiedi un preventivo
06 92 93 90 73

Allarme vulnerabilità per questo plugin WordPress, cosa succede

plugin wordpress da aggiornare subito a causa di una vulnerabilità
Tabella dei Contenuti

Un team di sicurezza che si occupa dell’analisi dei vari elementi utilizzati all’interno di WordPress ha scoperto una vulnerabilità pericolosa dentro un plugin molto diffuso. Che cosa devi fare adesso?

Uno dei punti di forza della piattaforma di WordPress per la creazione di siti web è la possibilità di creare tutto ciò che serve e di aggiungere, come pezzi di un puzzle, plugin e elementi per personalizzare l’esperienza degli utenti e trasformare quello che potrebbe sembrare un sito fatto con lo stampino in una realtà riconoscibile.

plugin wordpress da aggiornare subito a causa di una vulnerabilità
Scoperta anomalia pericolosa in un popolare plugin WordPress – sos-wp.it

L’interazione però dei plugin a volte genera situazioni che trasformano questi strumenti molto importanti e interessanti in boomerang per la sicurezza dei siti che li hanno implementati. Ed è purtroppo quello che è successo proprio con un plugin molto interessante. Come per altre situazioni di questo tipo, quello che devi fare è abbastanza semplice ma la tempistica è fondamentale.

Un plugin WordPress che potrebbe aprirti agli hacker

Quando vengono individuate delle vulnerabilità in pezzi di software quello che viene segnalato e che c’è la possibilità, da parte di qualcuno intenzionato e preparato, che attraverso quel pezzo di software possano essere compromessi database o estrapolate informazioni private e delicate. Si tratta di una situazione che purtroppo avviene a qualunque livello.

perchè devi sempre aggiornare i plugin wordpress
Plugin WordPress, questo è pericoloso: aggiornalo – sos-wp.it

Ed è per questo motivo che periodicamente, o alla bisogna, i team di sviluppo rilasciano aggiornamenti e patch proprio dedicate alla sicurezza. Se sei tra i molti utenti che hanno deciso di utilizzare il plugin WordPress Ultimate Member, molto utile per trasformare una parte di un sito web in una community in cui gli utenti possono incontrarsi e scambiarsi informazioni, assicurati che la versione che stai utilizzando sia superiore alla 2.6.6.

L’aggiornamento di sicurezza di questo plugin è arrivato qualche giorno dopo la scoperta da parte di WPScan della presenza di una falla. Una falla che in pratica metteva gli utenti nelle condizioni di poter creare account con privilegi di amministratore, con tutte le conseguenze che puoi immaginare nella gestione di una community. Anche in questo caso, come in altre situazioni di vulnerabilità che sono state rintracciate in plugin utilizzati con WordPress, la soluzione è sempre quella di scaricare l’ultima versione aggiornata.

E questa vicenda specifica del plugin Ultimate Member è anche un’altra dimostrazione di quanto importanti siano in generale gli aggiornamenti. Parte del lavoro che devi necessariamente svolgere, o far svolgere, sul tuo sito WordPress è proprio il controllo della presenza di eventuali aggiornamenti che potrebbero metterti al riparo da problemi che non sapevi neanche fossero presenti ma che avrebbero potuto avere conseguenze drammatiche sul tuo sito e sul tuo business.

Ti potrebbe interessare anche

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

Ricevi un avviso se ci sono nuovi commenti. Oppure iscriviti senza commentare.

Hai già ricevuto i nostri Webinar gratuiti?

Impostazioni privacy